Subject: AucTeX not working on Emacs 25.1.1 for Mac

From: Lars Eriksson <[email-masked]>
Date: Thu, 3 Nov 2016 12:54:03 +0100

Hi,

Might be Emacs and not AucTeX that cause the problems but it was AucTeX that triggered my problems, and I wanted to make you aware...

I have a clean installation of Emacs for Mac 25.1.1 and pulled a fresh auctex from github (see script below). 
In my .emacs I have reduced everything to to (load "auctex.el" nil t t)
When I try to open a LaTeX-file I get the  message: 

File mode specification error: (void-variable LaTeX-preview-setup)

Any clues or instructions?

As a follow-up: I have downgraded to Emacs 24.5 and AucTeX pulled from git works fine there.

Best,
Lars

#!/bin/sh

git clone git://git.savannah.gnu.org/auctex.git

export EMACSMAIN=/Applications/Emacs.app/Contents/Resources
export SITELISPDIR=$EMACSMAIN/site-lisp
export INFODIR=$EMACSMAIN/info

cd auctex
./autogen.sh
./configure --with-emacs --with-lispdir=$SITELISPDIR \
--with-auto-dir=$SITELISPDIR/auctex/auto \
--infodir=$INFODIR --without-texmf-dir

make
sudo make install